GETC(3F)

NAME
getc, fgetc - get a character from a logical unit

SYNOPSIS
integer function getc (char)
character char

integer function fgetc (lunit, char)
character char

DESCRIPTION
These routines return the next character from a file associated with a fortran logical unit, bypassing normal fortran I/O. Getc reads from logical unit 5, normally connected to the control terminal input.

The value of each function is a system status code. Zero indicates no error occurred on the read; -1 indicates end of file was detected. A positive value will be either a UNIX system error code or an f77 I/O error code. See perror(3F).

FILES
/usr/lib/libU77.a

SEE ALSO
getc(3S), intro(2), perror(3F)